Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.delimitedtext
Interface PostProcessor

All Superinterfaces:
  Extension

public interface PostProcessor
extends Extension

The listener interface for receiving notification of new output files created by the Delimited Text driver's subscriber channel. The class that is interested in doing post-processing on output files implements this interface. When the subscriber channel of the delimited text driver finishes writing a new output file, it calls the `nextOutputFile` method of this interface.

In order for the driver to find the appropriate class that implements this interface, the DirXML administrator (implementor) needs to configure the `<subscriber-options>` section of the driver configuration by adding a line similar to the following:

`<post-processor display-name="PostProcessor Class">com.acme.MyPostProcessor</post-processor>`

If you also add a line similar to the following, the string it contains will be passed to the `init` method of the `PostProcessor`:

`<post-processor-params display-name="PostProcessor init string">MY CONFIG DATA</post-processor-params>`

If the supplied value actually represents a class that is in a `.jar` file in the `lib` directory, that class will receive notification after the driver creates each output file.

See Also:
  `PreProcessor`, `InputSorter`, `InputSource`

Method Summary
`void` | `nextOutputFile(java.io.File outputFile)` Invoked just after the Delimited Text driver finalizes writing of an output file.

Methods inherited from interface com.novell.nds.dirxml.driver.delimitedtext.Extension
`init`

Method Detail

### nextOutputFile

    public void nextOutputFile(java.io.File outputFile)

  Invoked just after the Delimited Text driver finalizes writing of an output file.

  Parameters:
    `outputFile` - a File object representing the most recent file to be written by the subscriber channel.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD